# Interface RegResource

All Known Implementing Classes:
  `VORegResource`

public interface RegResource
Basic details of a registry resource record. This is an intentionally rather flattened and truncated version of the information which can be stored in a registry record (at time of writing VOResource 1.0).

Since:
  17 Dec 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`RegCapabilityInterface[]`
`getCapabilities()`
Returns an array of capability interfaces for this resource.
`String`
`getContact()`
Returns the contact information for this resource.
`String`
`getIdentifier()`
Returns the resource unique identifier.
`String`
`getPublisher()`
Returns the resource publisher.
`String`
`getReferenceUrl()`
Returns the reference URL for this resource.
`String`
`getShortName()`
Returns the resource short name.
`String[]`
`getSubjects()`
Returns a list of subject areas relevant to this resource.
`String`
`getTitle()`
Returns the resource title.

## Method Details

### getTitle

String getTitle()
Returns the resource title.

Returns:
  title

### getShortName

String getShortName()
Returns the resource short name.

Returns:
  short name

### getIdentifier

String getIdentifier()
Returns the resource unique identifier. This is a URI of the form `ivo://authority/path`.

Returns:
  identifier

### getPublisher

String getPublisher()
Returns the resource publisher.

Returns:
  publisher

### getContact

String getContact()
Returns the contact information for this resource.

Returns:
  contact info

### getSubjects

String[] getSubjects()
Returns a list of subject areas relevant to this resource.

Returns:
  subject words

### getReferenceUrl

String getReferenceUrl()
Returns the reference URL for this resource.

Returns:
  reference URL

### getCapabilities

RegCapabilityInterface[] getCapabilities()
Returns an array of capability interfaces for this resource. Very often there is only one (or zero) of these per resource, but there can be many.

Returns:
  capabilities